Target version:    

Affects version: 3.9   

Description

Perhaps I've forgotten to compile something into my Audacious 3.9 but it doesn't show metadata for network AAC streams.

Please advise.

Configuration:

  Install path:                           /opt/audacious/lib/audacious

  GTK+ support:                           no

  Qt support:                             yes

  Audio Formats

  -------------

  Audio CD:                               no

  Free Lossless Audio Codec:              yes

  Ogg Vorbis:                             yes

  MIDI (via FluidSynth):                  no

  MPEG-1 Layer I/II/III (via mpg123):     yes

  MPEG-2/4 AAC:                           no

  WavPack:                                no

  External Decoders

  -----------------

  FFmpeg/Libav:                           ffmpeg

  libsndfile:                             yes

  Chiptunes

  ---------

  AdLib synthesizer (adplug):             yes

  Commodore 64 audio (sid):               no

  Game Music Emu (spc, nsf, gbs, etc.):   yes

  ModPlug:                                no

  Nintendo DS audio (xsf):                yes

  PlayStation audio (psf/psf2):           yes

  Vortex Tracker (vtx):                   yes

  Other Inputs

  ------------

  Metronome:                              yes

  Tone Generator:                         yes

  Effects

  -------

  Bauer stereophonic-to-binaural (bs2b):  no

  Channel Mixer:                          yes

  Crystalizer:                            yes

  Dynamic Range Compressor:               yes

  Echo/Surround:                          yes

  Extra Stereo:                           yes

  LADSPA Host (requires GTK+):            no
  Sample Rate Converter:                  no

  Silence Removal:                        yes

  SoX Resampler:                          no

  Speed and Pitch:                        no

  Voice Removal:                          yes

  Outputs

  -------

  Advanced Linux Sound Architecture:      yes

  Jack Audio Connection Kit:              no

  Open Sound System:                      yes

  PulseAudio:                             yes

  Simple DirectMedia Layer:               yes

  Sndio:                                  no

  Win32 waveOut:                          no

  FileWriter:                             yes

    -> MP3 encoding:                      yes

    -> Vorbis encoding:                   yes

    -> FLAC encoding:                     yes

  Playlists

  ---------

  Cue sheets:                             yes

  M3U playlists:                          yes

  Microsoft ASX (legacy):                 yes

  Microsoft ASX 3.0:                      yes

  PLS playlists:                          yes

  XML Sharable Playlist Format (XSPF):    yes

  Transports

  ----------

  FTP, SFTP, SMB (via GIO):               yes

  HTTP/HTTPS (via neon):                  yes

  MMS (via libmms):                       no

  General

  -------

  Alarm (requires GTK+):                  no

  Ampache browser (requires Qt):          no

  Delete Files:                           yes

  GNOME Shortcuts:                        no

  libnotify OSD:                          yes

  Linux Infrared Remote Control (LIRC):   no

  MPRIS 2 Server:                         yes

  Scrobbler 2.0:                          yes

  Song Change:                            yes

  Qt Support

  ----------

  Qt Multimedia output:                   yes

  Qt Interface:                           yes

  Winamp Classic Interface:               yes

  Album Art:                              yes

  LyricWiki viewer:                       yes

  OpenGL Spectrum Analyzer:               yes

  Playlist Manager:                       yes

  Search Tool:                            yes

  Song Info:                              yes

  Status Icon:                            yes

 

Should I absolutely have libfaad (totally deprecated for all intents and purposes) installed as well?

Example stream: http://str.topradio.be:80/topradio.aac
(Many others are here http://dir.xiph.org/by_format/AAC+ )

Metadata for Ogg Vorbis and MP3 streams gets loaded just fine.

History

#1 - June 24, 2018 17:15 - Artem S. Tashkinov

FAAD is indeed required.

This issue might be safely closed as INVALID.

#2 - June 25, 2018 03:17 - John Lindgren

I'm curious when you say libfaad is deprecated, is there an alternative you'd recommend?  If so, we could leave this open as a feature request to write

a plugin based on that alternative.

#3 - June 30, 2018 01:59 - John Lindgren

- Status changed from New to Rejected

Closing as requested.
